Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# rb_addrinfo_t Struct Reference

## Data Fields
VALUE | inspectname
VALUE | canonname
int | pfamily
int | socktype
int | protocol
socklen_t | sockaddr_len
struct sockaddr_storage | addr

## Detailed Description

Definition at line 507 of file raddrinfo.c.

## Field Documentation

struct sockaddr_storage rb_addrinfo_t::addr

Definition at line 514 of file raddrinfo.c.

Referenced by addrinfo_getnameinfo(), addrinfo_ip_port(), addrinfo_mdump(), addrinfo_to_sockaddr(), ai_get_afamily(), extract_in_addr(), init_addrinfo(), and inspect_sockaddr().

VALUE rb_addrinfo_t::canonname

Definition at line 509 of file raddrinfo.c.

Referenced by addrinfo_canonname(), addrinfo_inspect(), addrinfo_mark(), addrinfo_mdump(), alloc_addrinfo(), and init_addrinfo().

VALUE rb_addrinfo_t::inspectname

Definition at line 508 of file raddrinfo.c.

Referenced by addrinfo_inspect(), addrinfo_mark(), addrinfo_mdump(), alloc_addrinfo(), and init_addrinfo().

int rb_addrinfo_t::pfamily

Definition at line 510 of file raddrinfo.c.

Referenced by addrinfo_inspect(), addrinfo_mdump(), addrinfo_pfamily(), and init_addrinfo().

int rb_addrinfo_t::protocol

Definition at line 512 of file raddrinfo.c.

Referenced by addrinfo_inspect(), addrinfo_mdump(), addrinfo_protocol(), addrinfo_s_ip(), and init_addrinfo().

socklen_t rb_addrinfo_t::sockaddr_len

Definition at line 513 of file raddrinfo.c.

Referenced by addrinfo_getnameinfo(), addrinfo_ip_port(), addrinfo_mdump(), addrinfo_to_sockaddr(), ai_get_afamily(), init_addrinfo(), and inspect_sockaddr().

int rb_addrinfo_t::socktype

Definition at line 511 of file raddrinfo.c.

Referenced by addrinfo_getnameinfo(), addrinfo_inspect(), addrinfo_mdump(), addrinfo_s_ip(), addrinfo_socktype(), and init_addrinfo().

The documentation for this struct was generated from the following file:

- ext/socket/raddrinfo.c